/*******************************
*  Tuned Cars scrip            *
*  Coding by eXtreme         *
*  To use with SA-MP           *
*  Do not remove this          *
*  Feel free to edit script    *
*  but keep my name in it!     *
*******************************/
#include <a_samp>

#define FILTERSCRIPT
#if defined FILTERSCRIPT

//==============================================================================

public OnPlayerConnect(playerid)
{
    SendClientMessage(playerid, 0x40FF40FF, "На серверу установлены Tuned cars от Darkcha0s");
    SendClientMessage(playerid, 0x40FF40FF, "Введите /tcars для вывода списка машин");
	return 1;
}



public OnPlayerCommandText(playerid, cmdtext[])
{
{
	if (strcmp("/tcars", cmdtext, true, 10) == 0)
{
   SendClientMessage(playerid, 0x40FF40FF, "введите /telegy чтобы получить Elegy!");
   SendClientMessage(playerid, 0x40FF40FF, "введите /turanus чтобы получить Uranus!");
   SendClientMessage(playerid, 0x40FF40FF, "введите /tstrat чтобы получить Stratus!");
   SendClientMessage(playerid, 0x40FF40FF, "введите /tflash чтобы получить Flash!");
   SendClientMessage(playerid, 0x40FF40FF, "введите /tjester чтобы получить Jester!");
   SendClientMessage(playerid, 0x40FF40FF, "введите /tsultan чтобы получить Sultan!");
}

}
{
	if (strcmp("/tsultan", cmdtext, true, 10) == 0)
    {
    new Float:X,Float:Y,Float:Z,Float:Angle, carid;
	GetPlayerPos(playerid,X,Y,Z);
	GetPlayerFacingAngle(playerid,Angle);
    carid = GetPlayerVehicleID(playerid);
	carid = CreateVehicle(560,X,Y,Z,Angle,-1,-1,600);
    AddVehicleComponent(carid,1029);
    AddVehicleComponent(carid,1033);
    AddVehicleComponent(carid,1139);
    AddVehicleComponent(carid,1010);
    AddVehicleComponent(carid,1073);
    ChangeVehiclePaintjob(carid,1);
	PutPlayerInVehicle(playerid,carid,0);
	TogglePlayerControllable(playerid,true);
    return SendClientMessage(playerid, 0x40FF40FF, "Tuned sultan has been spawned!");
	}
	
}
{
	if (strcmp("/tjester", cmdtext, true, 10) == 0)
    {
    new Float:X,Float:Y,Float:Z,Float:Angle, carid;
	GetPlayerPos(playerid,X,Y,Z);
	GetPlayerFacingAngle(playerid,Angle);
    carid = GetPlayerVehicleID(playerid);
	carid = CreateVehicle(559,X,Y,Z,Angle,-1,-1,600);
    AddVehicleComponent(carid,1065);
    AddVehicleComponent(carid,1067);
    AddVehicleComponent(carid,1162);
    AddVehicleComponent(carid,1010);
    AddVehicleComponent(carid,1073);
    ChangeVehiclePaintjob(carid,1);
	PutPlayerInVehicle(playerid,carid,0);
	TogglePlayerControllable(playerid,true);
    return SendClientMessage(playerid, 0x40FF40FF, "Tuned jester has been spawned!");
	}
	
}
{
	if (strcmp("/tflash", cmdtext, true, 10) == 0)
    {
    new Float:X,Float:Y,Float:Z,Float:Angle, carid;
	GetPlayerPos(playerid,X,Y,Z);
	GetPlayerFacingAngle(playerid,Angle);
    carid = GetPlayerVehicleID(playerid);
	carid = CreateVehicle(565,X,Y,Z,Angle,-1,-1,600);
    AddVehicleComponent(carid,1046);
    AddVehicleComponent(carid,1049);
    AddVehicleComponent(carid,1053);
    AddVehicleComponent(carid,1010);
    AddVehicleComponent(carid,1073);
    ChangeVehiclePaintjob(carid,1);
	PutPlayerInVehicle(playerid,carid,0);
	TogglePlayerControllable(playerid,true);
    return SendClientMessage(playerid, 0x40FF40FF, "Tuned flash has been spawned!");
	}
}
{
	if (strcmp("/turanus", cmdtext, true, 10) == 0)
    {
    new Float:X,Float:Y,Float:Z,Float:Angle, carid;
	GetPlayerPos(playerid,X,Y,Z);
	GetPlayerFacingAngle(playerid,Angle);
    carid = GetPlayerVehicleID(playerid);
	carid = CreateVehicle(558,X,Y,Z,Angle,-1,-1,600);
    AddVehicleComponent(carid,1088);
    AddVehicleComponent(carid,1092);
    AddVehicleComponent(carid,1139);
    AddVehicleComponent(carid,1010);
    AddVehicleComponent(carid,1073);
    ChangeVehiclePaintjob(carid,1);
	PutPlayerInVehicle(playerid,carid,0);
	TogglePlayerControllable(playerid,true);
    return SendClientMessage(playerid, 0x40FF40FF, "Tuned uranus has been spawned!");
	}

}
{
	if (strcmp("/tstrat", cmdtext, true, 10) == 0)
    {
    new Float:X,Float:Y,Float:Z,Float:Angle, carid;
	GetPlayerPos(playerid,X,Y,Z);
	GetPlayerFacingAngle(playerid,Angle);
    carid = GetPlayerVehicleID(playerid);
	carid = CreateVehicle(561,X,Y,Z,Angle,-1,-1,600);
    AddVehicleComponent(carid,1055);
    AddVehicleComponent(carid,1058);
    AddVehicleComponent(carid,1064);
    AddVehicleComponent(carid,1010);
    AddVehicleComponent(carid,1073);
    ChangeVehiclePaintjob(carid,1);
	PutPlayerInVehicle(playerid,carid,0);
	TogglePlayerControllable(playerid,true);
    return SendClientMessage(playerid, 0x40FF40FF, "Tuned stratum has been spawned!");
	}
	
}
{
	if (strcmp("/telegy", cmdtext, true, 10) == 0)
    {
    new Float:X,Float:Y,Float:Z,Float:Angle, carid;
	GetPlayerPos(playerid,X,Y,Z);
	GetPlayerFacingAngle(playerid,Angle);
    carid = GetPlayerVehicleID(playerid);
	carid = CreateVehicle(562,X,Y,Z,Angle,-1,-1,600);
    AddVehicleComponent(carid,1034);
    AddVehicleComponent(carid,1038);
    AddVehicleComponent(carid,1147);
    AddVehicleComponent(carid,1010);
    AddVehicleComponent(carid,1073);
    ChangeVehiclePaintjob(carid,1);
	PutPlayerInVehicle(playerid,carid,0);
	TogglePlayerControllable(playerid,true);
    return SendClientMessage(playerid, 0x40FF40FF, "Tuned elegy has been spawned!");
	}
	return 1;
}
}

// elegy, uranus, strat, flash, jester, sultan
#endif
